[android-components](../index.md) / [mozilla.components.support.test.robolectric](./index.md)

## Package mozilla.components.support.test.robolectric

### Properties

| Name | Summary |
|---|---|
| [testContext](test-context.md) | `val testContext: <ERROR CLASS>`<br>Provides application context for test purposes |

### Functions

| Name | Summary |
|---|---|
| [createAddedTestFragment](create-added-test-fragment.md) | `fun <T : Fragment> createAddedTestFragment(fragmentTag: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` = "test", fragmentFactory: () -> `[`T`](create-added-test-fragment.md#T)`): `[`T`](create-added-test-fragment.md#T)<br>Set up an added [Fragment](#) to a [FragmentActivity](#) that has been initialized to a resumed state. |
| [grantPermission](grant-permission.md) | `fun grantPermission(vararg permissions: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>A helper for working with permission just pass one or more permission that you need to be granted. |
